semilimes mcu sdk 1.1.4 semilimes Software Development Kit for microcontrollers

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BucketUpdate Class Reference

## Public Member Functions
| ~BucketUpdate ()
void | set (const char *bucketId, const char *title, const char *description, const char *avatar, bool visible, bool locked, bool enReactions)
void | addDataComponents (const char *component)
void | appendDataComponents ()
char * | getEPurl ()
char * | getWSEPurl ()
char * | get ()

## Constructor & Destructor Documentation

## ◆ ~BucketUpdate()

BucketUpdate::~BucketUpdate | ( |  | ) |
| inline

Returns
  void

## Member Function Documentation

## ◆ addDataComponents()

void BucketUpdate::addDataComponents | ( | const char * | component | ) |

Parameters

  component | - the json script of the dataComponent to add

Returns
  void

## ◆ appendDataComponents()

void BucketUpdate::appendDataComponents | ( |  | ) |

Returns
  void

## ◆ get()

char * BucketUpdate::get | ( |  | ) |

Returns
  char*

## ◆ getEPurl()

char * BucketUpdate::getEPurl | ( |  | ) |

Returns
  char* sme_httpsUrl + endpoint

## ◆ getWSEPurl()

char * BucketUpdate::getWSEPurl | ( |  | ) |

Returns
  char* endpoint

## ◆ set()

void BucketUpdate::set | ( | const char * | bucketId,
|  | const char * | title,
|  | const char * | description,
|  | const char * | avatar,
|  | bool | visible,
|  | bool | locked,
|  | bool | enReactions )

Parameters

  bucketId | - is the unique Id to reference an existing bucket
  title | - sets the bucket title
  description | - sets the bucket description
  avatar | - takes a fileId (obtained by a File Upload endpoint) and sets the main avatar image of the bucket
  visible | - sets the bucket general visibility. If set to false, the bucket will be only visible to its creator
  locked | - sets the bucket’s general edit permissions. If set to true, its content cannot be interacted by other users
  enReactions | - allows other users to post reactions (e.g. likes) to bucket’s content

Returns
  void

The documentation for this class was generated from the following files:

- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/communication/bucket_update.h
- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/communication/bucket_update.cpp